// compile with
// $ g++ test.cpp -o test -Iinclude -Llib -lgm

#include "gmThread.h"

int main()
{
  // Create the GM Machine object on the stack
  gmMachine gm;

  // Execute a simple script
  gm.ExecuteString("print(\"Hello, world!\");");
  //could be written
  //gm.ExecuteString("print(`Hello, world!`);");

  //const char *myScript = "fruits = table (\"apple\", \"pear\", \"orange\"); "
  //                       "foreach (frt in fruits) {print(frt);} ";

  const char *myScript = "fruits = table (`apple`, `pear`, `orange`);"
                         "foreach (frt in fruits) {print(frt);}";
  gm.ExecuteString(myScript);

  getchar();
  return 0;
}
